Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.mock
Interface MockService

All Superinterfaces:
  ModelItem, PropertyChangeNotifier

All Known Implementing Classes:
  WsdlMockService

    public interface MockService

extends ModelItem

ModelItem for mocking a number of Interfaces and their Operations

Author:
  ole.matzura

Field Summary
`static java.lang.String` | `PATH_PROPERTY`
`static java.lang.String` | `PORT_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Method Summary
`void` | `addMockRunListener(MockRunListener listener)`
`void` | `addMockServiceListener(MockServiceListener listener)`
`MockOperation` | `getMockOperationAt(int index)`
`MockOperation` | `getMockOperationByName(java.lang.String name)`
`int` | `getMockOperationCount()`
`java.lang.String` | `getPath()`
`int` | `getPort()`
`Project` | `getProject()`
`void` | `removeMockRunListener(MockRunListener listener)`
`void` | `removeMockServiceListener(MockServiceListener listener)`
`MockRunner` | `start()`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### PATH_PROPERTY

    static final java.lang.String PATH_PROPERTY

### PORT_PROPERTY

    static final java.lang.String PORT_PROPERTY

Method Detail

### getProject

    Project getProject()

### getMockOperationCount

    int getMockOperationCount()

### getMockOperationAt

    MockOperation getMockOperationAt(int index)

### getMockOperationByName

    MockOperation getMockOperationByName(java.lang.String name)

### getPath

    java.lang.String getPath()

### getPort

    int getPort()

### start

    MockRunner start()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addMockRunListener

    void addMockRunListener(MockRunListener listener)

### removeMockRunListener

    void removeMockRunListener(MockRunListener listener)

### addMockServiceListener

    void addMockServiceListener(MockServiceListener listener)

### removeMockServiceListener

    void removeMockServiceListener(MockServiceListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.